/*
 * @Author: mojunshou 1637302775@qq.com
 * @Date: 2025-04-18 19:10:06
 * @LastEditors: mojunshou 1637302775@qq.com
 * @LastEditTime: 2025-04-28 16:29:31
 * @Description: 
 */
import { _decorator, Component, Node } from 'cc';
import { GameComponent } from 'db://oops-framework/module/common/GameComponent';
import { UIID } from '../../common/config/GameUIConfig';
import { oops } from 'db://oops-framework/core/Oops';
import { GameEvent } from '../../common/config/GameEvent';
const { ccclass, property } = _decorator;

@ccclass('WarmReminder')
export class WarmReminder extends GameComponent {
    start() {
        this.setButton();
        oops.message.dispatchEvent(GameEvent.updateGameState, "paused");
    }

    btn_confirm() {
        oops.gui.remove(UIID.WarmReminder);
        //打开福利一
        oops.gui.open(UIID.WelfareOne);
    }
}


